package com.zyc.system.mapper;

import java.util.List;
import com.zyc.system.domain.ImageServices;

/**
 * 镜像服务Mapper接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface ImageServicesMapper 
{
    /**
     * 查询镜像服务
     * 
     * @param id 镜像服务主键
     * @return 镜像服务
     */
    public ImageServices selectImageServicesById(Integer id);

    /**
     * 查询镜像服务列表
     * 
     * @param imageServices 镜像服务
     * @return 镜像服务集合
     */
    public List<ImageServices> selectImageServicesList(ImageServices imageServices);

    /**
     * 新增镜像服务
     * 
     * @param imageServices 镜像服务
     * @return 结果
     */
    public int insertImageServices(ImageServices imageServices);

    /**
     * 修改镜像服务
     * 
     * @param imageServices 镜像服务
     * @return 结果
     */
    public int updateImageServices(ImageServices imageServices);

    /**
     * 删除镜像服务
     * 
     * @param id 镜像服务主键
     * @return 结果
     */
    public int deleteImageServicesById(Integer id);

    /**
     * 批量删除镜像服务
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteImageServicesByIds(Integer[] ids);
}
